package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.welcome.model.TaCarRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-06-18
 */
@Mapper
public interface TaCarRecordMapper extends BaseMapper<TaCarRecord> {

    IPage<TaCarRecord> getPageList(IPage<TaCarRecord> page, @Param("plateNumber") String plateNumber, @Param("recordDate") Date recordDate, @Param("customerName") String customerName, @Param("phone") String phone);

}
