package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.welcome.model.TaCustomer;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-06-12
 */
@Mapper
public interface TaCustomerMapper extends BaseMapper<TaCustomer> {

    TaCustomer getCustomerOf(@Param("personId") Integer personId, @Param("realId") Integer realId);
    IPage<TaCustomer> customerPage(IPage<TaCustomer> pg, String customerName, String phone, String platNumber);

    List<TaCustomer> getSomeCustMayBe(@Param("plateNumber") String plateNumber, @Param("phone") String phone);

    IPage<TaCustomer> getCustomerListOfFront(IPage<TaCustomer> page,@Param("consultantId") Integer consultantId,@Param("nameOrPhone") String nameOrPhone);
}
