package com.huiju.welcome.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-06-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMainUsherRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "rec_id", type = IdType.AUTO)
    private Integer recId;

    private Integer personId;

    private String personName;

    private Integer customerId;

    private String phone;

    private Integer sex;

    private String avatar;

    private Integer personNum;

    private Integer consultantId;

    private String realtyConsultant;

    private Boolean appointment;

    private Integer appointmentId;

    private LocalDateTime visiteDate;

    @TableField("`status`")
    private Integer status;

    private String carModel;

    private String plateNumber;

    private String color;

    private String carImage;

    @TableField("`channel`")
    private String channel;

    private String purpose;

    private String remark;

    @TableField(exist = false)
    private List<TaFollowupRecord> follows;

    @TableField(exist = false)
    TaMainUsherRecord lastRecord;
}
